Subject: kompare won't parse git diffs

From: Andy Parkins <[email-masked]>
Date: Wed, 2 Aug 2006 11:07:39 +0100

Hello,

Kompare just shows blank for diffs redirected from git.  This makes it 

I've tracked down the cause and it seems to be on the file declaration lines.  
Here is a sample diff that kompare will not show.

diff --git a/file b/file
index a8b2ec6..a1e65fd 100644
--- a/file
+++ b/file
@@ -1,2 +1,3 @@
 initial contents goes in master branch
 additional content added in repo1#master
+blah

As you can see, it's a simple addition of the line "blah".  Kompare shows this 
diff as blank.  Now if I modify the file so that the "---" and "+++" lines 
both have "<tab>(something)" added:

diff --git a/file b/file
index a8b2ec6..a1e65fd 100644
--- a/file      (anything can go here)
+++ b/file      (anything can go here)
@@ -1,2 +1,3 @@
 initial contents goes in master branch
 additional content added in repo1#master
+blah

http://bugs.kde.org/show_bug.cgi?id=131717

I've posted a bug for kompare, but thought that maybe it would be handy if git 
outputted those bracketed comments anyway - I notice that "diff -u" from the 
command line does (although it uses the timestamp of the file).  Maybe the 
object hash of the files being compared could go here?

Andy

-- 
Dr Andy Parkins, M Eng (hons), MIEE
[email-masked]